---
metadata:
  - name: generator
    content: Diplodoc Platform v5.39.1
alternate:
  - https://yandex.com.tr/support/forms/en/api-ref/filling/events_v1_views_frontend_get_suggest_view.md
---
> **Documentation Index:** Fetch the complete configuration index at https://yandex.com.tr/support/forms/en/llms.txt

<div class="openapi">

# Get suggestions for filling out the form

<!-- markdownlint-disable-file -->

Returns suggestions (prompts) for filling out the form.

Parameters:
- **survey**: form ID, its slug, or a combination of the form ID and a verification key
- **question**: question slug (string identifier)
- **text**: text to search for
- **id**: comma-separated list of suggestion object identifiers; allows retrieving suggestion objects by their IDs
- **parent_id**: comma-separated list of suggestion object identifiers for organizing Master-Detail relationships

## Request

<div class="openapi__requests">

<div class="openapi__request__wrapper" style="--method: var(--dc-openapi-methods-get);margin-bottom: 12px">

<div class="openapi__request">

GET {.openapi__method}
```text translate=no
https://api.forms.yandex.net/v1/surveys/{survey}/suggest
```

</div>

</div>

</div>

### Path parameters

#|
|| **Name** | **Description** ||
||

_survey_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} ``
{.table-cell}
||
|#{.json-schema-properties}

### Query parameters

#|
|| **Name** | **Description** ||
||

_id_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Default:_{.json-schema-reset .json-schema-value} ``

_Example:_{.json-schema-reset .json-schema-example} ``
{.table-cell}
||
||

_parent_id_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Default:_{.json-schema-reset .json-schema-value} ``

_Example:_{.json-schema-reset .json-schema-example} ``
{.table-cell}
||
||

_question_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Default:_{.json-schema-reset .json-schema-value} ``

_Example:_{.json-schema-reset .json-schema-example} ``
{.table-cell}
||
||

_text_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Default:_{.json-schema-reset .json-schema-value} ``

_Example:_{.json-schema-reset .json-schema-example} ``
{.table-cell}
||
|#{.json-schema-properties}

## Responses

<div class="openapi__response__code__200">

## 200 OK

OK

<div class="openapi-entity">

### Body

{% cut "application/json" %}

```json translate=no
[
  {
    "layer": "country",
    "id": "example",
    "text": "example",
    "orig_id": "example"
  }
]
```

{% endcut %}

{% cut "**Type**: array" %}

{% cut "**Type**: array" %}

{% cut "**One of 26 types**" %}{.json-schema-combinators data-marker=or}

- **SuggestCountryOut**

  **Type**: [SuggestCountryOut](#entity-SuggestCountryOut)

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "layer": "country",
    "id": "example",
    "text": "example",
    "orig_id": "example"
  }
  ```

  {% endcut %}

- **SuggestCityOut**

  **Type**: [SuggestCityOut](#entity-SuggestCityOut)

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "layer": "city",
    "id": "example",
    "text": "example",
    "country_id": "example",
    "population": 0,
    "orig_id": "example"
  }
  ```

  {% endcut %}

- **SuggestUniversityOut**

  **Type**: [SuggestUniversityOut](#entity-SuggestUniversityOut)

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "layer": "university",
    "id": "example",
    "text": "example",
    "city": "example",
    "region": "example"
  }
  ```

  {% endcut %}

- **SuggestAddressOut**

  **Type**: [SuggestAddressOut](#entity-SuggestAddressOut)

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "layer": "address",
    "id": "example",
    "text": "example"
  }
  ```

  {% endcut %}

- **SuggestGenderOut**

  **Type**: [SuggestGenderOut](#entity-SuggestGenderOut)

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "layer": "gender",
    "id": "example",
    "text": "example"
  }
  ```

  {% endcut %}

- **SuggestUserEmailOut**

  **Type**: [SuggestUserEmailOut](#entity-SuggestUserEmailOut)

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "layer": "user_email_list",
    "id": "example",
    "text": "example"
  }
  ```

  {% endcut %}

- **SuggestWebMasterOut**

  **Type**: [SuggestWebMasterOut](#entity-SuggestWebMasterOut)

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "layer": "web_master_site",
    "id": "example",
    "text": "example"
  }
  ```

  {% endcut %}

- **SuggestAbcServiceOut**

  **Type**: [SuggestAbcServiceOut](#entity-SuggestAbcServiceOut)

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "layer": "abc_service",
    "id": "example",
    "text": "example"
  }
  ```

  {% endcut %}

- **SuggestMusicGenreOut**

  **Type**: [SuggestMusicGenreOut](#entity-SuggestMusicGenreOut)

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "layer": "music_genre",
    "id": "example",
    "text": "example",
    "tracks_count": 0
  }
  ```

  {% endcut %}

- **SuggestStaffOrganizationOut**

  **Type**: [SuggestStaffOrganizationOut](#entity-SuggestStaffOrganizationOut)

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "layer": "staff_organization",
    "id": "example",
    "text": "example"
  }
  ```

  {% endcut %}

- **SuggestStaffOfficeOut**

  **Type**: [SuggestStaffOfficeOut](#entity-SuggestStaffOfficeOut)

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "layer": "staff_office",
    "id": "example",
    "text": "example",
    "address": "example"
  }
  ```

  {% endcut %}

- **SuggestStaffGroupOut**

  **Type**: [SuggestStaffGroupOut](#entity-SuggestStaffGroupOut)

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "layer": "staff_group",
    "id": "example",
    "text": "example",
    "url": "example",
    "type": "example",
    "role_scope": "example"
  }
  ```

  {% endcut %}

- **SuggestStaffPersonOut**

  **Type**: [SuggestStaffPersonOut](#entity-SuggestStaffPersonOut)

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "layer": "staff_login",
    "id": "example",
    "text": "example",
    "full_name": "example",
    "yandex_uid": "example",
    "uid": "example",
    "email": "example",
    "group_id": "example",
    "avatar": "example",
    "department": "example"
  }
  ```

  {% endcut %}

- **SuggestStaffRoomOut**

  **Type**: [SuggestStaffRoomOut](#entity-SuggestStaffRoomOut)

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "layer": "staff_room",
    "id": "example",
    "text": "example",
    "office_id": "example",
    "floor_number": "example",
    "floor_id": "example"
  }
  ```

  {% endcut %}

- **SuggestWikiTableOut**

  **Type**: [SuggestWikiTableOut](#entity-SuggestWikiTableOut)

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "layer": "wiki_table_source",
    "id": "example",
    "text": "example",
    "orig_id": "example",
    "row_id": "example",
    "parent_id": "example",
    "display_text": "example"
  }
  ```

  {% endcut %}

- **SuggestYtTableOut**

  **Type**: [SuggestYtTableOut](#entity-SuggestYtTableOut)

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "layer": "yt_table_source",
    "id": "example",
    "text": "example",
    "orig_id": "example",
    "row_id": "example",
    "parent_id": "example",
    "display_text": "example"
  }
  ```

  {% endcut %}

- **SuggestDirUserOut**

  **Type**: [SuggestDirUserOut](#entity-SuggestDirUserOut)

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "layer": "dir_user",
    "id": "example",
    "text": "example",
    "login": "example",
    "avatar": "example",
    "yandex_uid": "example",
    "uid": "example",
    "cloud_uid": "example",
    "email": "example"
  }
  ```

  {% endcut %}

- **SuggestDirGroupOut**

  **Type**: [SuggestDirGroupOut](#entity-SuggestDirGroupOut)

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "layer": "dir_group",
    "id": "example",
    "text": "example"
  }
  ```

  {% endcut %}

- **SuggestDirDepartmentOut**

  **Type**: [SuggestDirDepartmentOut](#entity-SuggestDirDepartmentOut)

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "layer": "dir_department",
    "id": "example",
    "text": "example"
  }
  ```

  {% endcut %}

- **SuggestTrackerQueueOut**

  **Type**: [SuggestTrackerQueueOut](#entity-SuggestTrackerQueueOut)

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "layer": "tracker_queue",
    "id": "example",
    "text": "example"
  }
  ```

  {% endcut %}

- **SuggestTrackerProjectOut**

  **Type**: [SuggestTrackerProjectOut](#entity-SuggestTrackerProjectOut)

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "layer": "tracker_project",
    "id": "example",
    "text": "example"
  }
  ```

  {% endcut %}

- **SuggestTrackerBoardOut**

  **Type**: [SuggestTrackerBoardOut](#entity-SuggestTrackerBoardOut)

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "layer": "tracker_board",
    "id": "example",
    "text": "example"
  }
  ```

  {% endcut %}

- **SuggestTrackerSprintOut**

  **Type**: [SuggestTrackerSprintOut](#entity-SuggestTrackerSprintOut)

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "layer": "tracker_sprint",
    "id": "example",
    "text": "example",
    "board": "example"
  }
  ```

  {% endcut %}

- **SuggestTrackerComponentOut**

  **Type**: [SuggestTrackerComponentOut](#entity-SuggestTrackerComponentOut)

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "layer": "tracker_component",
    "id": "example",
    "text": "example",
    "queue": "example"
  }
  ```

  {% endcut %}

- **SuggestTrackerIssueOut**

  **Type**: [SuggestTrackerIssueOut](#entity-SuggestTrackerIssueOut)

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "layer": "tracker_issue",
    "id": "example",
    "text": "example",
    "queue": "example",
    "status": "example"
  }
  ```

  {% endcut %}

- **SuggestTrackerFieldOut**

  **Type**: [SuggestTrackerFieldOut](#entity-SuggestTrackerFieldOut)

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "layer": "tracker_field",
    "id": "example",
    "slug": "example",
    "text": "example",
    "queue": "example"
  }
  ```

  {% endcut %}

{% endcut %}

{% endcut %}

{% cut "**One of 26 types**" %}{.json-schema-combinators data-marker=or}

- **SuggestCountryOut**

  **Type**: [SuggestCountryOut](#entity-SuggestCountryOut)

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "layer": "country",
    "id": "example",
    "text": "example",
    "orig_id": "example"
  }
  ```

  {% endcut %}

- **SuggestCityOut**

  **Type**: [SuggestCityOut](#entity-SuggestCityOut)

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "layer": "city",
    "id": "example",
    "text": "example",
    "country_id": "example",
    "population": 0,
    "orig_id": "example"
  }
  ```

  {% endcut %}

- **SuggestUniversityOut**

  **Type**: [SuggestUniversityOut](#entity-SuggestUniversityOut)

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "layer": "university",
    "id": "example",
    "text": "example",
    "city": "example",
    "region": "example"
  }
  ```

  {% endcut %}

- **SuggestAddressOut**

  **Type**: [SuggestAddressOut](#entity-SuggestAddressOut)

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "layer": "address",
    "id": "example",
    "text": "example"
  }
  ```

  {% endcut %}

- **SuggestGenderOut**

  **Type**: [SuggestGenderOut](#entity-SuggestGenderOut)

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "layer": "gender",
    "id": "example",
    "text": "example"
  }
  ```

  {% endcut %}

- **SuggestUserEmailOut**

  **Type**: [SuggestUserEmailOut](#entity-SuggestUserEmailOut)

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "layer": "user_email_list",
    "id": "example",
    "text": "example"
  }
  ```

  {% endcut %}

- **SuggestWebMasterOut**

  **Type**: [SuggestWebMasterOut](#entity-SuggestWebMasterOut)

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "layer": "web_master_site",
    "id": "example",
    "text": "example"
  }
  ```

  {% endcut %}

- **SuggestAbcServiceOut**

  **Type**: [SuggestAbcServiceOut](#entity-SuggestAbcServiceOut)

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "layer": "abc_service",
    "id": "example",
    "text": "example"
  }
  ```

  {% endcut %}

- **SuggestMusicGenreOut**

  **Type**: [SuggestMusicGenreOut](#entity-SuggestMusicGenreOut)

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "layer": "music_genre",
    "id": "example",
    "text": "example",
    "tracks_count": 0
  }
  ```

  {% endcut %}

- **SuggestStaffOrganizationOut**

  **Type**: [SuggestStaffOrganizationOut](#entity-SuggestStaffOrganizationOut)

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "layer": "staff_organization",
    "id": "example",
    "text": "example"
  }
  ```

  {% endcut %}

- **SuggestStaffOfficeOut**

  **Type**: [SuggestStaffOfficeOut](#entity-SuggestStaffOfficeOut)

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "layer": "staff_office",
    "id": "example",
    "text": "example",
    "address": "example"
  }
  ```

  {% endcut %}

- **SuggestStaffGroupOut**

  **Type**: [SuggestStaffGroupOut](#entity-SuggestStaffGroupOut)

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "layer": "staff_group",
    "id": "example",
    "text": "example",
    "url": "example",
    "type": "example",
    "role_scope": "example"
  }
  ```

  {% endcut %}

- **SuggestStaffPersonOut**

  **Type**: [SuggestStaffPersonOut](#entity-SuggestStaffPersonOut)

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "layer": "staff_login",
    "id": "example",
    "text": "example",
    "full_name": "example",
    "yandex_uid": "example",
    "uid": "example",
    "email": "example",
    "group_id": "example",
    "avatar": "example",
    "department": "example"
  }
  ```

  {% endcut %}

- **SuggestStaffRoomOut**

  **Type**: [SuggestStaffRoomOut](#entity-SuggestStaffRoomOut)

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "layer": "staff_room",
    "id": "example",
    "text": "example",
    "office_id": "example",
    "floor_number": "example",
    "floor_id": "example"
  }
  ```

  {% endcut %}

- **SuggestWikiTableOut**

  **Type**: [SuggestWikiTableOut](#entity-SuggestWikiTableOut)

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "layer": "wiki_table_source",
    "id": "example",
    "text": "example",
    "orig_id": "example",
    "row_id": "example",
    "parent_id": "example",
    "display_text": "example"
  }
  ```

  {% endcut %}

- **SuggestYtTableOut**

  **Type**: [SuggestYtTableOut](#entity-SuggestYtTableOut)

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "layer": "yt_table_source",
    "id": "example",
    "text": "example",
    "orig_id": "example",
    "row_id": "example",
    "parent_id": "example",
    "display_text": "example"
  }
  ```

  {% endcut %}

- **SuggestDirUserOut**

  **Type**: [SuggestDirUserOut](#entity-SuggestDirUserOut)

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "layer": "dir_user",
    "id": "example",
    "text": "example",
    "login": "example",
    "avatar": "example",
    "yandex_uid": "example",
    "uid": "example",
    "cloud_uid": "example",
    "email": "example"
  }
  ```

  {% endcut %}

- **SuggestDirGroupOut**

  **Type**: [SuggestDirGroupOut](#entity-SuggestDirGroupOut)

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "layer": "dir_group",
    "id": "example",
    "text": "example"
  }
  ```

  {% endcut %}

- **SuggestDirDepartmentOut**

  **Type**: [SuggestDirDepartmentOut](#entity-SuggestDirDepartmentOut)

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "layer": "dir_department",
    "id": "example",
    "text": "example"
  }
  ```

  {% endcut %}

- **SuggestTrackerQueueOut**

  **Type**: [SuggestTrackerQueueOut](#entity-SuggestTrackerQueueOut)

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "layer": "tracker_queue",
    "id": "example",
    "text": "example"
  }
  ```

  {% endcut %}

- **SuggestTrackerProjectOut**

  **Type**: [SuggestTrackerProjectOut](#entity-SuggestTrackerProjectOut)

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "layer": "tracker_project",
    "id": "example",
    "text": "example"
  }
  ```

  {% endcut %}

- **SuggestTrackerBoardOut**

  **Type**: [SuggestTrackerBoardOut](#entity-SuggestTrackerBoardOut)

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "layer": "tracker_board",
    "id": "example",
    "text": "example"
  }
  ```

  {% endcut %}

- **SuggestTrackerSprintOut**

  **Type**: [SuggestTrackerSprintOut](#entity-SuggestTrackerSprintOut)

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "layer": "tracker_sprint",
    "id": "example",
    "text": "example",
    "board": "example"
  }
  ```

  {% endcut %}

- **SuggestTrackerComponentOut**

  **Type**: [SuggestTrackerComponentOut](#entity-SuggestTrackerComponentOut)

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "layer": "tracker_component",
    "id": "example",
    "text": "example",
    "queue": "example"
  }
  ```

  {% endcut %}

- **SuggestTrackerIssueOut**

  **Type**: [SuggestTrackerIssueOut](#entity-SuggestTrackerIssueOut)

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "layer": "tracker_issue",
    "id": "example",
    "text": "example",
    "queue": "example",
    "status": "example"
  }
  ```

  {% endcut %}

- **SuggestTrackerFieldOut**

  **Type**: [SuggestTrackerFieldOut](#entity-SuggestTrackerFieldOut)

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "layer": "tracker_field",
    "id": "example",
    "slug": "example",
    "text": "example",
    "queue": "example"
  }
  ```

  {% endcut %}

{% endcut %}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "layer": "country",
  "id": "example",
  "text": "example",
  "orig_id": "example"
}
```

{% endcut %}

{% endcut %}

</div>

<div class="openapi-entity">

### SuggestCountryOut {#entity-SuggestCountryOut}

#|
|| **Name** | **Description** ||
||

_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Country ID

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_orig_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Country ID in the Yandex geolocation database

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_text_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Country name

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_layer_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Suggestion type

_Default:_{.json-schema-reset .json-schema-value} `country`

_Const:_{.json-schema-reset .json-schema-value} `country`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "layer": "country",
  "id": "example",
  "text": "example",
  "orig_id": "example"
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### SuggestCityOut {#entity-SuggestCityOut}

#|
|| **Name** | **Description** ||
||

_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

City ID

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_orig_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

City ID in the Yandex geolocation database

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_text_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

City name

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_country_id_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Country ID

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_layer_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Suggestion type

_Default:_{.json-schema-reset .json-schema-value} `city`

_Const:_{.json-schema-reset .json-schema-value} `city`
{.table-cell}
||
||

_population_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: integer

City population from the Yandex geolocation database
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "layer": "city",
  "id": "example",
  "text": "example",
  "country_id": "example",
  "population": 0,
  "orig_id": "example"
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### SuggestUniversityOut {#entity-SuggestUniversityOut}

#|
|| **Name** | **Description** ||
||

_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

University ID

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_text_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

University name

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_city_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

University city

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_layer_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Suggestion type

_Default:_{.json-schema-reset .json-schema-value} `university`

_Const:_{.json-schema-reset .json-schema-value} `university`
{.table-cell}
||
||

_region_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Region

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "layer": "university",
  "id": "example",
  "text": "example",
  "city": "example",
  "region": "example"
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### SuggestAddressOut {#entity-SuggestAddressOut}

#|
|| **Name** | **Description** ||
||

_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Address from geo-suggestion

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_text_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Address from geo-suggestion

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_layer_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Suggestion type

_Default:_{.json-schema-reset .json-schema-value} `address`

_Const:_{.json-schema-reset .json-schema-value} `address`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "layer": "address",
  "id": "example",
  "text": "example"
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### SuggestGenderOut {#entity-SuggestGenderOut}

#|
|| **Name** | **Description** ||
||

_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Gender slug

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_text_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Gender name

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_layer_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Suggestion type

_Default:_{.json-schema-reset .json-schema-value} `gender`

_Const:_{.json-schema-reset .json-schema-value} `gender`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "layer": "gender",
  "id": "example",
  "text": "example"
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### SuggestUserEmailOut {#entity-SuggestUserEmailOut}

#|
|| **Name** | **Description** ||
||

_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

User email address

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_text_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

User email address

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_layer_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Suggestion type

_Default:_{.json-schema-reset .json-schema-value} `user_email_list`

_Const:_{.json-schema-reset .json-schema-value} `user_email_list`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "layer": "user_email_list",
  "id": "example",
  "text": "example"
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### SuggestWebMasterOut {#entity-SuggestWebMasterOut}

#|
|| **Name** | **Description** ||
||

_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Domain slug from Webmaster

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_text_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Domain from Webmaster

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_layer_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Suggestion type

_Default:_{.json-schema-reset .json-schema-value} `web_master_site`

_Const:_{.json-schema-reset .json-schema-value} `web_master_site`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "layer": "web_master_site",
  "id": "example",
  "text": "example"
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### SuggestAbcServiceOut {#entity-SuggestAbcServiceOut}

#|
|| **Name** | **Description** ||
||

_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Service ID in ABC

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_text_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Service name

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_layer_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Suggestion type

_Default:_{.json-schema-reset .json-schema-value} `abc_service`

_Const:_{.json-schema-reset .json-schema-value} `abc_service`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "layer": "abc_service",
  "id": "example",
  "text": "example"
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### SuggestMusicGenreOut {#entity-SuggestMusicGenreOut}

#|
|| **Name** | **Description** ||
||

_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Music genre slug

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_text_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Music genre name

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_layer_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Suggestion type

_Default:_{.json-schema-reset .json-schema-value} `music_genre`

_Const:_{.json-schema-reset .json-schema-value} `music_genre`
{.table-cell}
||
||

_tracks_count_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: integer

Number of tracks in the genre
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "layer": "music_genre",
  "id": "example",
  "text": "example",
  "tracks_count": 0
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### SuggestStaffOrganizationOut {#entity-SuggestStaffOrganizationOut}

#|
|| **Name** | **Description** ||
||

_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Organization ID in Staff

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_text_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Organization name

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_layer_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Suggestion type

_Default:_{.json-schema-reset .json-schema-value} `staff_organization`

_Const:_{.json-schema-reset .json-schema-value} `staff_organization`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "layer": "staff_organization",
  "id": "example",
  "text": "example"
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### SuggestStaffOfficeOut {#entity-SuggestStaffOfficeOut}

#|
|| **Name** | **Description** ||
||

_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Office ID in Staff

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_text_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Office name

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_address_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Office address

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_layer_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Default:_{.json-schema-reset .json-schema-value} `staff_office`

_Const:_{.json-schema-reset .json-schema-value} `staff_office`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "layer": "staff_office",
  "id": "example",
  "text": "example",
  "address": "example"
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### SuggestStaffGroupOut {#entity-SuggestStaffGroupOut}

#|
|| **Name** | **Description** ||
||

_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Group ID in Staff

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_text_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Group name

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_layer_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Suggestion type

_Default:_{.json-schema-reset .json-schema-value} `staff_group`

_Const:_{.json-schema-reset .json-schema-value} `staff_group`
{.table-cell}
||
||

_role_scope_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Group scope

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_type_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Group type

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_url_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Group slug

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "layer": "staff_group",
  "id": "example",
  "text": "example",
  "url": "example",
  "type": "example",
  "role_scope": "example"
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### SuggestStaffPersonOut {#entity-SuggestStaffPersonOut}

#|
|| **Name** | **Description** ||
||

_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Employee ID in Staff

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_text_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Employee name

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_avatar_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Employee avatar

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_department_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Employee department in Staff

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_email_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Employee email address

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_full_name_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Employee full name

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_group_id_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Group ID in Staff

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_layer_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Suggestion type

_Default:_{.json-schema-reset .json-schema-value} `staff_login`

_Const:_{.json-schema-reset .json-schema-value} `staff_login`
{.table-cell}
||
||

_uid_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Employee passport UID

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_yandex_uid_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Employee passport UID

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "layer": "staff_login",
  "id": "example",
  "text": "example",
  "full_name": "example",
  "yandex_uid": "example",
  "uid": "example",
  "email": "example",
  "group_id": "example",
  "avatar": "example",
  "department": "example"
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### SuggestStaffRoomOut {#entity-SuggestStaffRoomOut}

#|
|| **Name** | **Description** ||
||

_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Meeting room ID in Staff

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_text_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Meeting room name

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_floor_id_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Floor ID

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_floor_number_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Floor number

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_layer_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Suggestion type

_Default:_{.json-schema-reset .json-schema-value} `staff_room`

_Const:_{.json-schema-reset .json-schema-value} `staff_room`
{.table-cell}
||
||

_office_id_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Office ID

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "layer": "staff_room",
  "id": "example",
  "text": "example",
  "office_id": "example",
  "floor_number": "example",
  "floor_id": "example"
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### SuggestWikiTableOut {#entity-SuggestWikiTableOut}

#|
|| **Name** | **Description** ||
||

_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Record ID for Wiki suggestion

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_orig_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Record ID in Wiki

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_text_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Record text

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_display_text_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Text for display in the interface

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_layer_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Suggestion type

_Default:_{.json-schema-reset .json-schema-value} `wiki_table_source`

_Const:_{.json-schema-reset .json-schema-value} `wiki_table_source`
{.table-cell}
||
||

_parent_id_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Record ID in Wiki for linked suggestions

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_row_id_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Universal record ID

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "layer": "wiki_table_source",
  "id": "example",
  "text": "example",
  "orig_id": "example",
  "row_id": "example",
  "parent_id": "example",
  "display_text": "example"
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### SuggestYtTableOut {#entity-SuggestYtTableOut}

#|
|| **Name** | **Description** ||
||

_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Record ID for YT suggestion

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_orig_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Record ID in YT

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_text_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Record text

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_display_text_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Text for display in the interface

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_layer_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Suggestion type

_Default:_{.json-schema-reset .json-schema-value} `yt_table_source`

_Const:_{.json-schema-reset .json-schema-value} `yt_table_source`
{.table-cell}
||
||

_parent_id_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Record ID in YT for linked suggestions

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_row_id_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Universal record ID

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "layer": "yt_table_source",
  "id": "example",
  "text": "example",
  "orig_id": "example",
  "row_id": "example",
  "parent_id": "example",
  "display_text": "example"
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### SuggestDirUserOut {#entity-SuggestDirUserOut}

#|
|| **Name** | **Description** ||
||

_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

User ID

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_text_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

User name

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_avatar_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

User avatar

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_cloud_uid_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

User cloud UID

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_email_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

User email address

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_layer_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Suggestion type

_Default:_{.json-schema-reset .json-schema-value} `dir_user`

_Const:_{.json-schema-reset .json-schema-value} `dir_user`
{.table-cell}
||
||

_login_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

User login

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_uid_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

User passport UID

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_yandex_uid_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

User passport UID

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "layer": "dir_user",
  "id": "example",
  "text": "example",
  "login": "example",
  "avatar": "example",
  "yandex_uid": "example",
  "uid": "example",
  "cloud_uid": "example",
  "email": "example"
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### SuggestDirGroupOut {#entity-SuggestDirGroupOut}

#|
|| **Name** | **Description** ||
||

_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Group ID in collab

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_text_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Group name

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_layer_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Suggestion type

_Default:_{.json-schema-reset .json-schema-value} `dir_group`

_Const:_{.json-schema-reset .json-schema-value} `dir_group`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "layer": "dir_group",
  "id": "example",
  "text": "example"
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### SuggestDirDepartmentOut {#entity-SuggestDirDepartmentOut}

#|
|| **Name** | **Description** ||
||

_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Department ID in collab

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_text_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Department name

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_layer_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Suggestion type

_Default:_{.json-schema-reset .json-schema-value} `dir_department`

_Const:_{.json-schema-reset .json-schema-value} `dir_department`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "layer": "dir_department",
  "id": "example",
  "text": "example"
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### SuggestTrackerQueueOut {#entity-SuggestTrackerQueueOut}

#|
|| **Name** | **Description** ||
||

_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Queue key in Tracker

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_text_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Queue name

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_layer_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Suggestion type

_Default:_{.json-schema-reset .json-schema-value} `tracker_queue`

_Const:_{.json-schema-reset .json-schema-value} `tracker_queue`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "layer": "tracker_queue",
  "id": "example",
  "text": "example"
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### SuggestTrackerProjectOut {#entity-SuggestTrackerProjectOut}

#|
|| **Name** | **Description** ||
||

_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Project ID in Tracker

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_text_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Project name in Tracker

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_layer_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Suggestion type

_Default:_{.json-schema-reset .json-schema-value} `tracker_project`

_Const:_{.json-schema-reset .json-schema-value} `tracker_project`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "layer": "tracker_project",
  "id": "example",
  "text": "example"
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### SuggestTrackerBoardOut {#entity-SuggestTrackerBoardOut}

#|
|| **Name** | **Description** ||
||

_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Agile board ID in Tracker

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_text_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Agile board name

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_layer_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Suggestion type

_Default:_{.json-schema-reset .json-schema-value} `tracker_board`

_Const:_{.json-schema-reset .json-schema-value} `tracker_board`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "layer": "tracker_board",
  "id": "example",
  "text": "example"
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### SuggestTrackerSprintOut {#entity-SuggestTrackerSprintOut}

#|
|| **Name** | **Description** ||
||

_board_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Agile board name

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Sprint ID in Tracker

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_text_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Sprint name

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_layer_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Suggestion type

_Default:_{.json-schema-reset .json-schema-value} `tracker_sprint`

_Const:_{.json-schema-reset .json-schema-value} `tracker_sprint`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "layer": "tracker_sprint",
  "id": "example",
  "text": "example",
  "board": "example"
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### SuggestTrackerComponentOut {#entity-SuggestTrackerComponentOut}

#|
|| **Name** | **Description** ||
||

_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Component ID in Tracker

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_queue_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Component queue

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_text_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Component name

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_layer_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Suggestion type

_Default:_{.json-schema-reset .json-schema-value} `tracker_component`

_Const:_{.json-schema-reset .json-schema-value} `tracker_component`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "layer": "tracker_component",
  "id": "example",
  "text": "example",
  "queue": "example"
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### SuggestTrackerIssueOut {#entity-SuggestTrackerIssueOut}

#|
|| **Name** | **Description** ||
||

_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Issue ID in Tracker

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_queue_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Issue queue

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_status_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Issue status

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_text_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Issue title

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_layer_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Suggestion type

_Default:_{.json-schema-reset .json-schema-value} `tracker_issue`

_Const:_{.json-schema-reset .json-schema-value} `tracker_issue`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "layer": "tracker_issue",
  "id": "example",
  "text": "example",
  "queue": "example",
  "status": "example"
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### SuggestTrackerFieldOut {#entity-SuggestTrackerFieldOut}

#|
|| **Name** | **Description** ||
||

_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Field ID in Tracker (including local fields)

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_slug_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Field slug

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_text_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Field name

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_layer_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Suggestion type

_Default:_{.json-schema-reset .json-schema-value} `tracker_field`

_Const:_{.json-schema-reset .json-schema-value} `tracker_field`
{.table-cell}
||
||

_queue_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Field queue (for local fields)

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "layer": "tracker_field",
  "id": "example",
  "slug": "example",
  "text": "example",
  "queue": "example"
}
```

{% endcut %}

</div>

</div>

<div class="openapi__response__code__404">

## 404 Not Found

Not Found

<div class="openapi-entity">

### Body

{% cut "application/json" %}

```json translate=no
{
  "code": "not_found",
  "detail": "example"
}
```

{% endcut %}

#|
|| **Name** | **Description** ||
||

_code_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Error code

_Const:_{.json-schema-reset .json-schema-value} `not_found`

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_detail_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Error text

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
|#{.json-schema-properties}

</div>

</div>

<div class="openapi__response__code__408">

## 408 Request Timeout

Request Timeout

<div class="openapi-entity">

### Body

{% cut "application/json" %}

```json translate=no
{
  "code": "connect_timeout",
  "detail": "example"
}
```

{% endcut %}

#|
|| **Name** | **Description** ||
||

_code_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Error code

_Const:_{.json-schema-reset .json-schema-value} `connect_timeout`

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_detail_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Error text

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
|#{.json-schema-properties}

</div>

</div>

<div class="openapi__response__code__422">

## 422 Unprocessable Entity

Unprocessable Content

<div class="openapi-entity">

### Body

{% cut "application/json" %}

```json translate=no
{}
```

{% endcut %}

#|
|| **Name** | **Description** ||
|#{.json-schema-properties}

</div>

</div>

</div>

[*Deprecated]: No longer supported, please use an alternative and newer version.